import { ApiTestValue, ApiValue, BodyTypeOption, MethodOption } from '../interface';
export declare type AxiosRequestHeaders = {
    [x: string]: string | number | boolean;
};
export interface AxiosRequestConfig {
    url?: string;
    method?: MethodOption;
    baseUrl?: string;
    headers?: AxiosRequestHeaders;
    params?: any;
    data?: any;
}
export declare const generateAxiosConfig: (apiValue: ApiValue, apiTestValue: ApiTestValue) => AxiosRequestConfig;
export declare const generateAxiosUrl: (url: string, pathObj: Record<string, any>) => string;
export declare const generateAxiosHeaders: (headerObj: Record<string, any>, cookieObj: Record<string, any>) => {
    [x: string]: any;
};
export declare const generateAxiosBody: (bodyObj: Record<string, any>, bodyType: BodyTypeOption) => any;
export declare const objToXml: (obj: Record<string, any>) => any;
export declare const objToUrlParams: (obj: Record<string, any>) => URLSearchParams;
export declare const objToFormData: (obj: Record<string, any>) => FormData;
export declare const objToString: (obj: Record<string, any>) => string;
//# sourceMappingURL=generateAxiosConfig.d.ts.map