export declare const typeFieldMapper: {
    common: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    placeholder: string;
                };
            }[];
            rules: {
                required: boolean;
                message: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    placeholder: string;
                };
            }[];
            rules?: undefined;
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    title: string;
                };
            }[];
            rules?: undefined;
        })[];
    };
};
export declare const moduleTypeOptions: {
    group: string;
    label: string;
    value: string;
    icon: string;
}[];
export declare const moduleTypeFieldMapper: {
    action: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    typeref: {
        fields: {
            label: string;
            key: string[];
            components: {
                control: string;
            }[];
        }[];
    };
    text: {
        fields: any[];
    };
    richText: {
        fields: any[];
    };
    password: {
        fields: any[];
    };
    email: {
        fields: any[];
    };
    mobilePhone: {
        fields: any[];
    };
    telephone: {
        fields: any[];
    };
    fax: {
        fields: any[];
    };
    option: {
        fields: any[];
    };
    url: {
        fields: any[];
    };
    file: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    image: {
        fields: any[];
    };
    video: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                key: string[];
                control: string;
                props: {
                    placeholders: {
                        minLength: string;
                        maxLength: string;
                    };
                };
            }[];
        })[];
    };
    datetime: {
        fields: any[];
    };
    number: {
        fields: any[];
    };
    amount: {
        fields: any[];
    };
    whether: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    options: {
                        label: string;
                        value: boolean;
                    }[];
                };
            }[];
        })[];
    };
    icon: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    model: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    module: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    title: string;
                };
            }[];
        })[];
    };
    sequence: {
        fields: ({
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        } | {
            label: string;
            key: string;
            components: {
                control: string;
                props: {
                    placeholder: string;
                };
            }[];
        })[];
    };
    array: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
    function: {
        fields: {
            label: string;
            key: string;
            components: {
                control: string;
            }[];
        }[];
    };
};
//# sourceMappingURL=type-event.d.ts.map