import { RdDefinePropType, RdInType, RdNodeProp } from '@elowcode/robotdev-design-types';
import { Ref } from 'vue';
export declare const createTypeId: () => string;
export default function useDefineType(): UseDefineTypeReturn;
export declare type UseDefineTypeReturn = {
    typesValue: Ref<UiType[]>;
    add: () => void;
    del: (typeIndex: number) => void;
    update: (typeIndex: number, key: string, value: any) => void;
    isOnlyOne: () => boolean;
    newOne: () => UiType;
    preprocess: (types: RdDefinePropType[]) => void;
    sufprocess: () => RdDefinePropType[];
};
export interface UiType {
    id: string;
    type: RdInType;
    extendPlatform?: boolean;
    platforms?: string[];
    multiple?: boolean;
    minLength?: number;
    maxLength?: number;
    types?: RdDefinePropType[];
    [x: string]: any;
    default?: any;
    rows?: boolean;
    ui?: {
        tag?: string;
        props?: RdNodeProp[];
    };
}
//# sourceMappingURL=useDefineType.d.ts.map