import type { DB_ResourceFunction, RdData, RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
import { DataSourceVal } from '../databind';
export interface EventConfigDialogProps {
    title: string;
    width?: string;
    events?: any[];
    eventsGroup?: any[];
    eventTitle?: string;
    eventOptions?: any[];
    eventInfo: {
        views: (fn: (list: any[]) => void, ids: string[]) => {};
        view: (fn: (data: any) => void, mode: string) => {};
    };
    actionInfo: {
        groups: (fn: (list: any[]) => void) => {};
        tree: (fn: (tree: any[]) => void, id: string, reload?: boolean) => {};
        views: (fn: (list: any[]) => void, ids: string[]) => {};
        view: (fn: (data: any) => void, mode: string) => {};
    };
    operatorOptions?: any[];
    comparatorOptions?: any[];
    openWindowTypeOptions?: any[];
    openWindowTargetOptions?: any[];
    env?: 'front' | 'back' | undefined;
    types?: RdDefinePropType[];
    isFormula?: (value: RdData) => boolean;
    keyLabelReplace?: {
        [key: string]: string;
    };
    showKeys?: DataSourceVal[];
    hideKeys?: DataSourceVal[];
    getCurrentCmpt?: () => any;
    getPageOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getPageQuery?: (fn: (options: any[]) => void, args?: any) => void;
    getLabelByBindData?: (fn: (label: string) => void, bindData: any) => void;
    getLabelByComparator?: (mode: string) => string;
    getLabelByOperator?: (mode: string) => string;
    getBusinessOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getBusinessProperties?: (fn: (options: any[]) => void, args?: any) => void;
    getForeachOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getForeachProperties?: (fn: (options: any[]) => void, args?: any) => void;
    getSlotOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getSlotProperties?: (fn: (options: any[]) => void, args?: any) => void;
    getCmptProperties?: (fn: (options: any[]) => void, args?: any) => void;
    getVariableOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getBusinessParamOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getAnyData?: (config: [string, any], fn?: (data: any) => void) => Promise<any> | any;
    getSubOptions?: (fn: (options: any[]) => void, args?: any) => void;
    getTypes?: (args: any, option?: any) => any;
    validateTypes?: (targetTypes: RdDefinePropType[], currentTypes: RdDefinePropType[]) => any;
    formatSubmitValue?: (mode: string, value: RdData) => RdData;
    formatPropsValue?: (mode: string, value: RdData) => string[];
    getFormulaInfo?: (success: (data: {
        formulaName: string;
        parameters: RdDefineProp[];
        modeType: 'data' | 'function';
    }) => void, mode?: string) => void;
    getFormulaLabel?: (success: (data: {
        text?: string;
        title?: string;
    }) => void, rdData?: RdData) => void;
    setDisable?: (node: any) => boolean;
    getFormula?: (fn: (group: any, groupReturn: any) => void) => void;
    functionInfo?: {
        groups?: (success: (data: any) => void) => void;
        tree?: (success: (data: any) => void, gourpId: string, reload?: boolean) => void;
        views: (fn: (data: DB_ResourceFunction[]) => void, ids: string[]) => void;
        view?: (fn: (data: DB_ResourceFunction) => void, id: string, mode: string) => void;
    };
    getInsertValue?: (success: (res: {
        status: boolean;
        value?: RdData;
        msg?: string;
    }) => void, targetTypes: RdDefinePropType[], selectType: 'fn' | 'data', selectNode: DB_ResourceFunction | any) => void;
}
declare const _default: import("vue").DefineComponent<{
    title: {
        type: import("vue").PropType<string>;
        required: true;
        default: string;
    };
    width: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
    };
    events: {
        type: import("vue").PropType<any[]>;
    };
    getFormula: {
        type: import("vue").PropType<(fn: (group: any, groupReturn: any) => void) => void>;
    };
    getTypes: {
        type: import("vue").PropType<(args: any, option?: any) => any>;
    };
    getSubOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    formatPropsValue: {
        type: import("vue").PropType<(mode: string, value: RdData) => string[]>;
    };
    formatSubmitValue: {
        type: import("vue").PropType<(mode: string, value: RdData) => RdData>;
    };
    eventTitle: {
        type: import("vue").PropType<string>;
        default: string;
    };
    eventOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
            icon: string;
        }[];
    };
    actionInfo: {
        type: import("vue").PropType<{
            groups: (fn: (list: any[]) => void) => {};
            tree: (fn: (tree: any[]) => void, id: string, reload?: boolean | undefined) => {};
            views: (fn: (list: any[]) => void, ids: string[]) => {};
            view: (fn: (data: any) => void, mode: string) => {};
        }>;
        required: true;
    };
    eventInfo: {
        type: import("vue").PropType<{
            views: (fn: (list: any[]) => void, ids: string[]) => {};
            view: (fn: (data: any) => void, mode: string) => {};
        }>;
        required: true;
    };
    operatorOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
        }[];
    };
    comparatorOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
        }[];
    };
    openWindowTypeOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    openWindowTargetOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    env: {
        type: import("vue").PropType<"front" | "back">;
    };
    isFormula: {
        type: import("vue").PropType<(value: RdData) => boolean>;
    };
    keyLabelReplace: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    showKeys: {
        type: import("vue").PropType<("getApiData" | "getThirdPartyApiData" | "getVar" | "getEachData" | "getSlotData" | "getCmptPropData" | "getModelData" | "getParam" | "getFormula" | "custom" | "getAcArguments" | "getFcArguments" | "getEventData" | "getUserInfo")[]>;
    };
    hideKeys: {
        type: import("vue").PropType<("getApiData" | "getThirdPartyApiData" | "getVar" | "getEachData" | "getSlotData" | "getCmptPropData" | "getModelData" | "getParam" | "getFormula" | "custom" | "getAcArguments" | "getFcArguments" | "getEventData" | "getUserInfo")[]>;
    };
    getCurrentCmpt: {
        type: import("vue").PropType<() => any>;
    };
    getPageOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getPageQuery: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getLabelByBindData: {
        type: import("vue").PropType<(fn: (label: string) => void, bindData: any) => void>;
    };
    getLabelByComparator: {
        type: import("vue").PropType<(mode: string) => string>;
        default: (mode: string) => string;
    };
    getLabelByOperator: {
        type: import("vue").PropType<(mode: string) => string>;
        default: (mode: string) => string;
    };
    getBusinessOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getBusinessProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getForeachOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getForeachProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getSlotOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getSlotProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getCmptProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getVariableOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getBusinessParamOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getAnyData: {
        type: import("vue").PropType<(config: [string, any], fn?: ((data: any) => void) | undefined) => any>;
    };
    validateTypes: {
        type: import("vue").PropType<(targetTypes: RdDefinePropType[], currentTypes: RdDefinePropType[]) => any>;
    };
    getFormulaInfo: {
        type: import("vue").PropType<(success: (data: {
            formulaName: string;
            parameters: RdDefineProp<RdDefinePropType>[];
            modeType: "function" | "data";
        }) => void, mode?: string | undefined) => void>;
    };
    getFormulaLabel: {
        type: import("vue").PropType<(success: (data: {
            text?: string | undefined;
            title?: string | undefined;
        }) => void, rdData?: RdData | undefined) => void>;
    };
    setDisable: {
        type: import("vue").PropType<(node: any) => boolean>;
    };
    functionInfo: {
        type: import("vue").PropType<{
            groups?: ((success: (data: any) => void) => void) | undefined;
            tree?: ((success: (data: any) => void, gourpId: string, reload?: boolean | undefined) => void) | undefined;
            views: (fn: (data: DB_ResourceFunction[]) => void, ids: string[]) => void;
            view?: ((fn: (data: DB_ResourceFunction) => void, id: string, mode: string) => void) | undefined;
        }>;
    };
    getInsertValue: {
        type: import("vue").PropType<(success: (res: {
            status: boolean;
            value?: RdData | undefined;
            msg?: string | undefined;
        }) => void, targetTypes: RdDefinePropType[], selectType: "data" | "fn", selectNode: any) => void>;
    };
    eventsGroup: {
        type: import("vue").PropType<any[]>;
    };
}, {
    open: (events?: any[] | undefined) => void;
    close: () => void;
    setSelectedKeyByPath: (eventKey: string, actionIndex: number, path?: any[] | undefined) => false | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    change: (data?: any, close?: (() => void) | undefined) => true;
    submit: (data?: any, close?: (() => void) | undefined) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: import("vue").PropType<string>;
        required: true;
        default: string;
    };
    width: {
        type: import("vue").PropType<string>;
        default: string;
    };
    getOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType[]>;
    };
    events: {
        type: import("vue").PropType<any[]>;
    };
    getFormula: {
        type: import("vue").PropType<(fn: (group: any, groupReturn: any) => void) => void>;
    };
    getTypes: {
        type: import("vue").PropType<(args: any, option?: any) => any>;
    };
    getSubOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    formatPropsValue: {
        type: import("vue").PropType<(mode: string, value: RdData) => string[]>;
    };
    formatSubmitValue: {
        type: import("vue").PropType<(mode: string, value: RdData) => RdData>;
    };
    eventTitle: {
        type: import("vue").PropType<string>;
        default: string;
    };
    eventOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
            icon: string;
        }[];
    };
    actionInfo: {
        type: import("vue").PropType<{
            groups: (fn: (list: any[]) => void) => {};
            tree: (fn: (tree: any[]) => void, id: string, reload?: boolean | undefined) => {};
            views: (fn: (list: any[]) => void, ids: string[]) => {};
            view: (fn: (data: any) => void, mode: string) => {};
        }>;
        required: true;
    };
    eventInfo: {
        type: import("vue").PropType<{
            views: (fn: (list: any[]) => void, ids: string[]) => {};
            view: (fn: (data: any) => void, mode: string) => {};
        }>;
        required: true;
    };
    operatorOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
        }[];
    };
    comparatorOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            value: string;
            label: string;
        }[];
    };
    openWindowTypeOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    openWindowTargetOptions: {
        type: import("vue").PropType<any[]>;
        default: () => {
            label: string;
            value: string;
        }[];
    };
    env: {
        type: import("vue").PropType<"front" | "back">;
    };
    isFormula: {
        type: import("vue").PropType<(value: RdData) => boolean>;
    };
    keyLabelReplace: {
        type: import("vue").PropType<{
            [key: string]: string;
        }>;
    };
    showKeys: {
        type: import("vue").PropType<("getApiData" | "getThirdPartyApiData" | "getVar" | "getEachData" | "getSlotData" | "getCmptPropData" | "getModelData" | "getParam" | "getFormula" | "custom" | "getAcArguments" | "getFcArguments" | "getEventData" | "getUserInfo")[]>;
    };
    hideKeys: {
        type: import("vue").PropType<("getApiData" | "getThirdPartyApiData" | "getVar" | "getEachData" | "getSlotData" | "getCmptPropData" | "getModelData" | "getParam" | "getFormula" | "custom" | "getAcArguments" | "getFcArguments" | "getEventData" | "getUserInfo")[]>;
    };
    getCurrentCmpt: {
        type: import("vue").PropType<() => any>;
    };
    getPageOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getPageQuery: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getLabelByBindData: {
        type: import("vue").PropType<(fn: (label: string) => void, bindData: any) => void>;
    };
    getLabelByComparator: {
        type: import("vue").PropType<(mode: string) => string>;
        default: (mode: string) => string;
    };
    getLabelByOperator: {
        type: import("vue").PropType<(mode: string) => string>;
        default: (mode: string) => string;
    };
    getBusinessOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getBusinessProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getForeachOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getForeachProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getSlotOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getSlotProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getCmptProperties: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getVariableOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getBusinessParamOptions: {
        type: import("vue").PropType<(fn: (options: any[]) => void, args?: any) => void>;
    };
    getAnyData: {
        type: import("vue").PropType<(config: [string, any], fn?: ((data: any) => void) | undefined) => any>;
    };
    validateTypes: {
        type: import("vue").PropType<(targetTypes: RdDefinePropType[], currentTypes: RdDefinePropType[]) => any>;
    };
    getFormulaInfo: {
        type: import("vue").PropType<(success: (data: {
            formulaName: string;
            parameters: RdDefineProp<RdDefinePropType>[];
            modeType: "function" | "data";
        }) => void, mode?: string | undefined) => void>;
    };
    getFormulaLabel: {
        type: import("vue").PropType<(success: (data: {
            text?: string | undefined;
            title?: string | undefined;
        }) => void, rdData?: RdData | undefined) => void>;
    };
    setDisable: {
        type: import("vue").PropType<(node: any) => boolean>;
    };
    functionInfo: {
        type: import("vue").PropType<{
            groups?: ((success: (data: any) => void) => void) | undefined;
            tree?: ((success: (data: any) => void, gourpId: string, reload?: boolean | undefined) => void) | undefined;
            views: (fn: (data: DB_ResourceFunction[]) => void, ids: string[]) => void;
            view?: ((fn: (data: DB_ResourceFunction) => void, id: string, mode: string) => void) | undefined;
        }>;
    };
    getInsertValue: {
        type: import("vue").PropType<(success: (res: {
            status: boolean;
            value?: RdData | undefined;
            msg?: string | undefined;
        }) => void, targetTypes: RdDefinePropType[], selectType: "data" | "fn", selectNode: any) => void>;
    };
    eventsGroup: {
        type: import("vue").PropType<any[]>;
    };
}>> & {
    onChange?: ((data?: any, close?: (() => void) | undefined) => any) | undefined;
    onSubmit?: ((data?: any, close?: (() => void) | undefined) => any) | undefined;
}, {
    title: string;
    width: string;
    eventTitle: string;
    eventOptions: any[];
    operatorOptions: any[];
    comparatorOptions: any[];
    openWindowTypeOptions: any[];
    openWindowTargetOptions: any[];
    getLabelByComparator: (mode: string) => string;
    getLabelByOperator: (mode: string) => string;
}>;
export default _default;
//# sourceMappingURL=InteractionConfigDialog.vue.d.ts.map