import { ActionCondition } from './actions/condition';
import { RbEvent } from './actions/event';
import { Events } from './common/events';
import { RbActionManager } from './RbActionManager';
import { RbConditionManager } from './RbConditionManager';
import { RbEventManager } from './RbEventManager';
import { IRbViewManagerOpt, RbViewManager } from './RbViewManager';
export interface RbInteractionOpt {
    viewConfig: IRbViewManagerOpt;
}
export declare class RbInteraction extends Events {
    requestModes: string[];
    selectedKey?: string;
    private MAX_LOOP_LOAD_COUNT;
    private currentLoadCount;
    readonly view: RbViewManager;
    readonly action: RbActionManager;
    readonly event: RbEventManager;
    readonly condition: RbConditionManager;
    get events(): RbEvent[];
    constructor(opt?: RbInteractionOpt);
    init(events?: any[], opt?: {
        views?: Map<string, any>;
        eventViews?: Map<string, any>;
    }): Promise<void>;
    initOpt(opt: RbInteractionOpt): void;
    loadView(ids?: string[]): Promise<void>;
    loadEventView(ids?: string[]): Promise<void>;
    initListener(): void;
    onEventRemove(id: string): void;
    clearByParentRemove(id: string): void;
    select(key?: string): void;
    createEvent(mode: string): RbEvent;
    deleteEvent(id: string): number;
    createCondition(targetId?: string): ActionCondition | undefined;
    createConditionIf(targetId?: string, insert?: number): import("./actions/condition").ActionConditionIf | undefined;
    deleteConditionIf(id?: string, insert?: number): void;
    deleteAction(id?: string): void;
    createAction(modeId: string): import("./actions/action").Action | undefined;
    get(id: string): RbEvent | import("./actions/base").ActionBase<any> | import("./actions/condition").ActionConditionIf | import("./actions/condition").ActionConditionElse | null | undefined;
    active(): RbEvent | import("./actions/base").ActionBase<any> | import("./actions/condition").ActionConditionIf | import("./actions/condition").ActionConditionElse | null | undefined;
    activeEvent(): RbEvent | null;
    isSelected(id: string): boolean;
    isEvent(key?: string): boolean | "" | undefined;
    isAction(key?: string): boolean | "" | undefined;
    isCondition(key?: string): boolean | "" | undefined;
    isConditionIf(key?: string): boolean | "" | undefined;
    isConditionElse(key?: string): boolean | "" | undefined;
    isOpenWindow(key?: string): boolean | "" | undefined;
    isRequest(key?: string): boolean | "" | undefined;
    isSet(key?: string): boolean | "" | undefined;
    isSetBusinessData(key?: string): boolean | "" | undefined;
    isSetNodeProps(key?: string): boolean | "" | undefined;
    isConditionMode(mode: string): boolean;
    isEmitEvent(key?: string): boolean | "" | undefined;
    toJSON(): import("./actions/event").RbEventProps[];
    toTREE(): {
        key: string;
        label: any;
        children: any[];
    }[];
    validate(): void;
}
//# sourceMappingURL=RbInteraction.d.ts.map