import type { DB_ResourceAction, RdComponentDefineEvent, RdDefineProp } from '@elowcode/robotdev-design-types';
import { RbInteraction } from './RbInteraction';
export interface RbView {
    id: string;
    name: string;
    mode: string;
    props: RdDefineProp[];
}
export interface RbEventView {
    id: string;
    key: string;
    name: string;
    parameters: RdDefineProp[];
}
export interface IRbViewManagerOpt {
    queryView: (id: string) => Promise<any>;
    queryViews: (ids: string[]) => Promise<any>;
    queryEventView?: (id: string) => Promise<any>;
    queryEventViews?: (ids: string[]) => Promise<any>;
}
export declare class RbViewManager {
    store: RbInteraction;
    views: Map<string, RbView>;
    eventViews: Map<string, RbEventView>;
    queryView?: (id: string) => Promise<any>;
    queryViews?: (ids: string[]) => Promise<any>;
    queryEventView?: (id: string) => Promise<any>;
    queryEventViews?: (ids: string[]) => Promise<any>;
    constructor(store: RbInteraction, opt?: IRbViewManagerOpt);
    config(opt: IRbViewManagerOpt): void;
    load(param: string | string[], reload?: boolean): Promise<any[]>;
    private loadView;
    private loadViews;
    hasView(id: string): boolean;
    getView(id: string): RbView | RbEventView | undefined;
    getViews(ids: string[]): (RbView | RbEventView | undefined)[];
    setView(id: string, view: DB_ResourceAction, reload?: boolean): void;
    private setActionViewDeep;
    private getActionView;
    loadEvent(param: string | string[], reload?: boolean): Promise<any[]>;
    private loadEventView;
    private loadEventViews;
    hasEventView(id: string): boolean;
    getEventView(id: string): RbEventView | undefined;
    getEventViews(ids: string[]): (RbEventView | undefined)[];
    setEventView(id: string, view: RdComponentDefineEvent, reload?: boolean): void;
    private setEventViewDeep;
    private getEventActionView;
}
//# sourceMappingURL=RbViewManager.d.ts.map