import { RbInteraction } from '../RbInteraction';
import { ActionBase } from './base';
import { RbEvent } from './event';
export declare type ActionData = {
    id?: string;
    modeId: string;
    type: 'action';
    mode: string;
    view?: any;
    name?: string;
    args: {
        [parameterName: string]: any;
    };
    extendPlatform?: boolean;
    platforms?: string[];
};
export declare class Action extends ActionBase {
    private _view_is_loaded_;
    view: {
        id: string;
        [x: string]: any;
    };
    args: Record<string, any>;
    get viewId(): string;
    set viewId(id: string);
    constructor(store: RbInteraction);
    constructor(store: RbInteraction, parent?: RbEvent | ActionBase | undefined);
    constructor(store: RbInteraction, parent?: RbEvent | ActionBase | undefined, action?: ActionData);
    setView(view: any): void;
    isViewLoaded(): boolean;
    toTREE(): {
        value: string;
        label: string;
        data: {
            [x: string]: any;
            id: string;
        };
    };
    toJSON(): {
        id: string;
        modeId: string;
        mode: string;
        name: string;
        type: string;
        args: Record<string, any>;
    };
}
//# sourceMappingURL=action.d.ts.map