import { FunctionExt } from './function';
export declare class Events<EventArgs extends Events.EventArgs = any> {
    private listeners;
    on<Name extends Events.EventNames<EventArgs>>(name: Name, handler: Events.Handler<EventArgs[Name]>, context?: any): this;
    once<Name extends Events.EventNames<EventArgs>>(name: Name, handler: Events.Handler<EventArgs[Name]>, context?: any): this;
    off(): this;
    off(name: null, handler: Events.Handler<any>): this;
    off(name: null, handler: null, context: any): this;
    off<Name extends Events.EventNames<EventArgs>>(name: Name, handler?: Events.Handler<EventArgs[Name]>, context?: any): this;
    trigger<Name extends Events.EventNames<EventArgs>>(name: Name, ...args: any[]): FunctionExt.AsyncBoolean;
    protected emit(name: any, ...args: any[]): FunctionExt.AsyncBoolean;
}
export declare namespace Events {
    type Handler<Args> = Args extends null | undefined ? () => any : Args extends any[] ? (...args: Args) => any : (args: Args) => any;
    type EventArgs = {
        [key: string]: any;
    };
    type EventNames<M extends EventArgs> = Extract<keyof M, string>;
}
//# sourceMappingURL=events.d.ts.map