import { RbInteraction } from '../core/RbInteraction';
export default function ({ actionInfo, eventInfo, views, eventViews, eventOptions }: {
    actionInfo: any;
    eventInfo: any;
    views: any;
    eventViews: any;
    eventOptions: any;
}): {
    rbInteraction: import("vue").Ref<{
        requestModes: string[];
        selectedKey?: string | undefined;
        readonly view: {
            store: any;
            views: Map<string, import("../core/RbViewManager").RbView>;
            eventViews: Map<string, import("../core/RbViewManager").RbEventView>;
            queryView?: ((id: string) => Promise<any>) | undefined;
            queryViews?: ((ids: string[]) => Promise<any>) | undefined;
            queryEventView?: ((id: string) => Promise<any>) | undefined;
            queryEventViews?: ((ids: string[]) => Promise<any>) | undefined;
            config: (opt: import("../core/RbViewManager").IRbViewManagerOpt) => void;
            load: (param: string | string[], reload?: boolean) => Promise<any[]>;
            hasView: (id: string) => boolean;
            getView: (id: string) => import("../core/RbViewManager").RbView | import("../core/RbViewManager").RbEventView | undefined;
            getViews: (ids: string[]) => (import("../core/RbViewManager").RbView | import("../core/RbViewManager").RbEventView | undefined)[];
            setView: (id: string, view: import("@elowcode/robotdev-design-types").DB_ResourceAction, reload?: boolean) => void;
            loadEvent: (param: string | string[], reload?: boolean) => Promise<any[]>;
            hasEventView: (id: string) => boolean;
            getEventView: (id: string) => import("../core/RbViewManager").RbEventView | undefined;
            getEventViews: (ids: string[]) => (import("../core/RbViewManager").RbEventView | undefined)[];
            setEventView: (id: string, view: import("@elowcode/robotdev-design-types").RdComponentDefineEvent, reload?: boolean) => void;
        };
        readonly action: {
            store: any;
            actions: {
                view: {
                    [x: string]: any;
                    id: string;
                };
                args: Record<string, any>;
                viewId: string;
                setView: (view: any) => void;
                isViewLoaded: () => boolean;
                toTREE: () => {
                    value: string;
                    label: string;
                    data: {
                        [x: string]: any;
                        id: string;
                    };
                };
                toJSON: () => {
                    id: string;
                    modeId: string;
                    mode: string;
                    name: string;
                    type: string;
                    args: Record<string, any>;
                };
                id: string;
                name: string;
                type: string;
                mode: string;
                actions: {
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    actions: any[];
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                    toTREE: () => {};
                    toJSON: () => any;
                }[];
                readonly allowCondition: true;
                readonly store: any;
                parent?: any;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
            }[];
            readonly actionMap: Map<string, import("../core/actions/base").ActionBase<any>>;
            readonly actionViewIds: string[];
            get: (id: string) => import("../core/actions/base").ActionBase<any> | undefined;
            add: (action: import("../core/actions/action").Action) => void;
            del: (id: string) => void;
            has: (id: string) => boolean;
            create: <T extends import("../core/actions/base").ActionBase<any>>(target: import("../core/actions/event").RbEvent | import("../core/actions/base").ActionBase<any>, payload: import("../core/actions/action").ActionData) => import("../core/actions/action").Action;
            remove: (id: string) => void;
            clearByParentRemove: (id: string) => void;
            initActions: (target: any, actions?: any[]) => (import("../core/actions/condition").ActionCondition | import("../core/actions/action").Action)[];
            toTREE: (actions: import("../core/actions/base").ActionBase<any>[]) => any[];
        };
        readonly event: {
            store: any;
            events: {
                readonly allowCondition: true;
                id: string;
                mode: string;
                actions: {
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    actions: any[];
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                    toTREE: () => {};
                    toJSON: () => any;
                }[];
                store: any;
                parent?: undefined;
                view: {
                    [x: string]: any;
                    id: string;
                };
                viewId: string;
                init: (event: import("../core/actions/event").RbEventProps) => void;
                setView: (view: any) => void;
                isViewLoaded: () => boolean;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
                toTREE: () => {
                    key: string;
                    label: any;
                    children: any[];
                };
                toJSON: () => import("../core/actions/event").RbEventProps;
                getLabel: () => any;
            }[];
            eventOptions: any[];
            readonly eventMap: Map<string, import("../core/actions/event").RbEvent>;
            readonly eventViewIds: string[];
            init: (events?: any[] | undefined) => void;
            clear: () => void;
            create: (eventId: string) => import("../core/actions/event").RbEvent;
            add: (event: string | import("../core/actions/event").RbEvent) => import("../core/actions/event").RbEvent;
            delete: (id: string) => number;
            get: (id: string) => import("../core/actions/event").RbEvent | null;
            set: (event: import("../core/actions/event").RbEvent) => void;
            has: (id: string) => boolean;
            toTREE: () => {
                key: string;
                label: any;
                children: any[];
            }[];
        };
        readonly condition: {
            store: any;
            actions_condition: {
                rd_if: {
                    readonly condition: {
                        mode: string;
                        args: {
                            operation?: string | undefined;
                            expression?: {
                                mode: string;
                                args: {
                                    operation?: string | undefined;
                                    expression?: any[] | undefined;
                                    left?: any;
                                    right?: any;
                                };
                            }[] | undefined;
                        };
                    };
                    readonly actions: {
                        id: string;
                        name: string;
                        type: string;
                        mode: string;
                        actions: any[];
                        args: any;
                        readonly allowCondition: true;
                        readonly store: any;
                        parent?: any;
                        addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                        delAction: (id: string) => void;
                        toTREE: () => {};
                        toJSON: () => any;
                    }[];
                    expressionNew: () => import("../core/actions/condition").ConditionIfExpressionSimple;
                    expressionCreate: (sortIndex?: number | undefined) => void;
                    expressionRemove: (sortIndex: number) => void;
                    toTREE: () => {
                        key: string;
                        label: string;
                        children: any[];
                    };
                    toJSON: () => {
                        condition: import("../core/actions/condition").ConditionIfExpression;
                        actions: any[];
                    };
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any | undefined;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                }[];
                rd_else: {
                    readonly actions: {
                        id: string;
                        name: string;
                        type: string;
                        mode: string;
                        actions: any[];
                        args: any;
                        readonly allowCondition: true;
                        readonly store: any;
                        parent?: any;
                        addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                        delAction: (id: string) => void;
                        toTREE: () => {};
                        toJSON: () => any;
                    }[];
                    toTREE: () => {
                        key: string;
                        label: string;
                        children: any[];
                    };
                    toJSON: () => {
                        actions: any[];
                    };
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                };
                data?: {
                    args?: {
                        rd_if: {
                            condition?: {
                                mode: string;
                                args: {
                                    operation?: string | undefined;
                                    expression?: {
                                        mode: string;
                                        args: {
                                            operation?: string | undefined;
                                            expression?: any[] | undefined;
                                            left?: any;
                                            right?: any;
                                        };
                                    }[] | undefined;
                                };
                            } | undefined;
                            actions?: ({
                                view: {
                                    [x: string]: any;
                                    id: string;
                                };
                                args: Record<string, any>;
                                viewId: string;
                                setView: (view: any) => void;
                                isViewLoaded: () => boolean;
                                toTREE: () => {
                                    value: string;
                                    label: string;
                                    data: {
                                        [x: string]: any;
                                        id: string;
                                    };
                                };
                                toJSON: () => {
                                    id: string;
                                    modeId: string;
                                    mode: string;
                                    name: string;
                                    type: string;
                                    args: Record<string, any>;
                                };
                                id: string;
                                name: string;
                                type: string;
                                mode: string;
                                actions: {
                                    id: string;
                                    name: string;
                                    type: string;
                                    mode: string;
                                    actions: any[];
                                    args: any;
                                    readonly allowCondition: true;
                                    readonly store: any;
                                    parent?: any;
                                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                    delAction: (id: string) => void;
                                    toTREE: () => {};
                                    toJSON: () => any;
                                }[];
                                readonly allowCondition: true;
                                readonly store: any;
                                parent?: any;
                                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                delAction: (id: string) => void;
                            } | any | {
                                id: string;
                                name: string;
                                type: string;
                                mode: string;
                                actions: {
                                    id: string;
                                    name: string;
                                    type: string;
                                    mode: string;
                                    actions: any[];
                                    args: any;
                                    readonly allowCondition: true;
                                    readonly store: any;
                                    parent?: any;
                                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                    delAction: (id: string) => void;
                                    toTREE: () => {};
                                    toJSON: () => any;
                                }[];
                                args: any;
                                readonly allowCondition: true;
                                readonly store: any;
                                parent?: any;
                                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                delAction: (id: string) => void;
                                toTREE: () => {};
                                toJSON: () => any;
                            })[] | undefined;
                        }[];
                        rd_else: {
                            actions?: ({
                                view: {
                                    [x: string]: any;
                                    id: string;
                                };
                                args: Record<string, any>;
                                viewId: string;
                                setView: (view: any) => void;
                                isViewLoaded: () => boolean;
                                toTREE: () => {
                                    value: string;
                                    label: string;
                                    data: {
                                        [x: string]: any;
                                        id: string;
                                    };
                                };
                                toJSON: () => {
                                    id: string;
                                    modeId: string;
                                    mode: string;
                                    name: string;
                                    type: string;
                                    args: Record<string, any>;
                                };
                                id: string;
                                name: string;
                                type: string;
                                mode: string;
                                actions: {
                                    id: string;
                                    name: string;
                                    type: string;
                                    mode: string;
                                    actions: any[];
                                    args: any;
                                    readonly allowCondition: true;
                                    readonly store: any;
                                    parent?: any;
                                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                    delAction: (id: string) => void;
                                    toTREE: () => {};
                                    toJSON: () => any;
                                }[];
                                readonly allowCondition: true;
                                readonly store: any;
                                parent?: any;
                                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                delAction: (id: string) => void;
                            } | any | {
                                id: string;
                                name: string;
                                type: string;
                                mode: string;
                                actions: {
                                    id: string;
                                    name: string;
                                    type: string;
                                    mode: string;
                                    actions: any[];
                                    args: any;
                                    readonly allowCondition: true;
                                    readonly store: any;
                                    parent?: any;
                                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                    delAction: (id: string) => void;
                                    toTREE: () => {};
                                    toJSON: () => any;
                                }[];
                                args: any;
                                readonly allowCondition: true;
                                readonly store: any;
                                parent?: any;
                                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                                delAction: (id: string) => void;
                                toTREE: () => {};
                                toJSON: () => any;
                            })[] | undefined;
                        };
                    } | undefined;
                    mode: string;
                } | undefined;
                init: () => void;
                initIf: (rd_if: import("../core/action-interface").ConditionIfData[]) => void;
                initElse: (rd_else?: any) => void;
                addActionIf: (action: import("../core/actions/condition").ActionConditionIf, sortIndex?: number | undefined) => void;
                delActionIf: (id: string) => void;
                addActionElse: (action: import("../core/actions/condition").ActionConditionElse) => void;
                expressionNew: () => import("../core/actions/condition").ConditionIfExpressionSimple;
                toTREE: () => {
                    key: string;
                    label: string;
                    children: any[];
                }[];
                toJSON: () => {
                    type: string;
                    mode: string;
                    args: {
                        rd_if: {
                            condition: import("../core/actions/condition").ConditionIfExpression;
                            actions: any[];
                        }[];
                        rd_else: {
                            actions: any[];
                        };
                    };
                };
                id: string;
                name: string;
                type: string;
                mode: string;
                actions: {
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    actions: any[];
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                    toTREE: () => {};
                    toJSON: () => any;
                }[];
                args: any;
                readonly allowCondition: true;
                readonly store: any;
                parent?: any;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
            }[];
            readonly actions_if: {
                readonly condition: {
                    mode: string;
                    args: {
                        operation?: string | undefined;
                        expression?: {
                            mode: string;
                            args: {
                                operation?: string | undefined;
                                expression?: any[] | undefined;
                                left?: any;
                                right?: any;
                            };
                        }[] | undefined;
                    };
                };
                readonly actions: {
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    actions: any[];
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                    toTREE: () => {};
                    toJSON: () => any;
                }[];
                expressionNew: () => import("../core/actions/condition").ConditionIfExpressionSimple;
                expressionCreate: (sortIndex?: number | undefined) => void;
                expressionRemove: (sortIndex: number) => void;
                toTREE: () => {
                    key: string;
                    label: string;
                    children: any[];
                };
                toJSON: () => {
                    condition: import("../core/actions/condition").ConditionIfExpression;
                    actions: any[];
                };
                id: string;
                name: string;
                type: string;
                mode: string;
                args: any;
                readonly allowCondition: true;
                readonly store: any;
                parent?: any | undefined;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
            }[];
            readonly actions_else: {
                readonly actions: {
                    id: string;
                    name: string;
                    type: string;
                    mode: string;
                    actions: any[];
                    args: any;
                    readonly allowCondition: true;
                    readonly store: any;
                    parent?: any;
                    addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                    delAction: (id: string) => void;
                    toTREE: () => {};
                    toJSON: () => any;
                }[];
                toTREE: () => {
                    key: string;
                    label: string;
                    children: any[];
                };
                toJSON: () => {
                    actions: any[];
                };
                id: string;
                name: string;
                type: string;
                mode: string;
                args: any;
                readonly allowCondition: true;
                readonly store: any;
                parent?: any;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
            }[];
            readonly conditionMap: Map<string, import("../core/actions/condition").ActionCondition>;
            readonly ifMap: Map<string, import("../core/actions/condition").ActionConditionIf>;
            readonly elseMap: Map<string, import("../core/actions/condition").ActionConditionElse>;
            get: (id: string) => import("../core/actions/condition").ActionConditionIf | import("../core/actions/condition").ActionConditionElse | import("../core/actions/condition").ActionCondition | undefined;
            add: (action: import("../core/actions/condition").ActionCondition) => void;
            del: (id: string) => void;
            clearByParentRemove: (id: string) => void;
            has: (id: string) => boolean;
            createCondition: (target: import("../core/actions/condition").ActionConditionParent, _condition?: import("../core/action-interface").ActionConditionArgument | undefined) => import("../core/actions/condition").ActionCondition;
            removeCondition: (id: string) => void;
            createConditionIf: (target: import("../core/actions/condition").ActionCondition, _if?: import("../core/action-interface").ConditionIfData | undefined, sortIndex?: number | undefined) => import("../core/actions/condition").ActionConditionIf;
            removeConditionIf: (id: string) => void;
            createConditionElse: (target: import("../core/actions/condition").ActionCondition, _else?: import("../core/action-interface").ConditionElseData | undefined) => import("../core/actions/condition").ActionConditionElse;
        };
        readonly events: {
            readonly allowCondition: true;
            id: string;
            mode: string;
            actions: {
                id: string;
                name: string;
                type: string;
                mode: string;
                actions: any[];
                args: any;
                readonly allowCondition: true;
                readonly store: any;
                parent?: any;
                addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
                delAction: (id: string) => void;
                toTREE: () => {};
                toJSON: () => any;
            }[];
            store: any;
            parent?: undefined;
            view: {
                [x: string]: any;
                id: string;
            };
            viewId: string;
            init: (event: import("../core/actions/event").RbEventProps) => void;
            setView: (view: any) => void;
            isViewLoaded: () => boolean;
            addAction: (action: import("../core/actions/base").ActionBase<any>, sortIndex?: number | undefined) => void;
            delAction: (id: string) => void;
            toTREE: () => {
                key: string;
                label: any;
                children: any[];
            };
            toJSON: () => import("../core/actions/event").RbEventProps;
            getLabel: () => any;
        }[];
        init: (events?: any[] | undefined, opt?: {
            views?: Map<string, any> | undefined;
            eventViews?: Map<string, any> | undefined;
        } | undefined) => Promise<void>;
        initOpt: (opt: import("../core/RbInteraction").RbInteractionOpt) => void;
        loadView: (ids?: string[] | undefined) => Promise<void>;
        loadEventView: (ids?: string[] | undefined) => Promise<void>;
        initListener: () => void;
        onEventRemove: (id: string) => void;
        clearByParentRemove: (id: string) => void;
        select: (key?: string | undefined) => void;
        createEvent: (mode: string) => import("../core/actions/event").RbEvent;
        deleteEvent: (id: string) => number;
        createCondition: (targetId?: string | undefined) => import("../core/actions/condition").ActionCondition | undefined;
        createConditionIf: (targetId?: string | undefined, insert?: number) => import("../core/actions/condition").ActionConditionIf | undefined;
        deleteConditionIf: (id?: string | undefined, insert?: number) => void;
        deleteAction: (id?: string | undefined) => void;
        createAction: (modeId: string) => import("../core/actions/action").Action | undefined;
        get: (id: string) => import("../core/actions/event").RbEvent | import("../core/actions/base").ActionBase<any> | import("../core/actions/condition").ActionConditionIf | import("../core/actions/condition").ActionConditionElse | null | undefined;
        active: () => import("../core/actions/event").RbEvent | import("../core/actions/base").ActionBase<any> | import("../core/actions/condition").ActionConditionIf | import("../core/actions/condition").ActionConditionElse | null | undefined;
        activeEvent: () => import("../core/actions/event").RbEvent | null;
        isSelected: (id: string) => boolean;
        isEvent: (key?: string | undefined) => boolean | "" | undefined;
        isAction: (key?: string | undefined) => boolean | "" | undefined;
        isCondition: (key?: string | undefined) => boolean | "" | undefined;
        isConditionIf: (key?: string | undefined) => boolean | "" | undefined;
        isConditionElse: (key?: string | undefined) => boolean | "" | undefined;
        isOpenWindow: (key?: string | undefined) => boolean | "" | undefined;
        isRequest: (key?: string | undefined) => boolean | "" | undefined;
        isSet: (key?: string | undefined) => boolean | "" | undefined;
        isSetBusinessData: (key?: string | undefined) => boolean | "" | undefined;
        isSetNodeProps: (key?: string | undefined) => boolean | "" | undefined;
        isConditionMode: (mode: string) => boolean;
        isEmitEvent: (key?: string | undefined) => boolean | "" | undefined;
        toJSON: () => import("../core/actions/event").RbEventProps[];
        toTREE: () => {
            key: string;
            label: any;
            children: any[];
        }[];
        validate: () => void;
        on: <Name extends string>(name: Name, handler: (() => any) | ((...args: any) => any) | ((args: any) => any), context?: any) => RbInteraction;
        once: <Name_1 extends string>(name: Name_1, handler: (() => any) | ((...args: any) => any) | ((args: any) => any), context?: any) => RbInteraction;
        off: {
            (): RbInteraction;
            (name: null, handler: (() => any) | ((...args: any) => any) | ((args: any) => any)): RbInteraction;
            (name: null, handler: null, context: any): RbInteraction;
            <Name_2 extends string>(name: Name_2, handler?: (() => any) | ((...args: any) => any) | ((args: any) => any) | undefined, context?: any): RbInteraction;
        };
        trigger: <Name_3 extends string>(name: Name_3, ...args: any[]) => import("../core/common/function/async").AsyncBoolean;
    }>;
    init: (events?: any[]) => Promise<void>;
};
//# sourceMappingURL=useInteractionAction.d.ts.map