import type { RdDefineProp, RdDefinePropType } from '@elowcode/robotdev-design-types';
import { JsonFormTheme } from './themes/type';
import { JsonFormMode, RdJsonFormValue } from './type';
export interface FormulaInfo {
    formulaName: string;
    parameters: RdDefineProp[];
    modeType: 'data' | 'function';
}
export interface JsonFormDatabindProps {
    mode?: JsonFormMode;
    childrenMode?: JsonFormMode;
    isBasicData?: boolean;
    autoFocus?: boolean;
    prop?: RdDefineProp;
    types?: RdDefinePropType | RdDefinePropType[];
    typesIndex?: number;
    valueType?: string;
    value?: RdJsonFormValue;
    theme?: JsonFormTheme;
    inArray?: boolean;
    inObject?: boolean;
    objectKey?: string;
    bindButtonText?: string;
    getHasBindText?: () => string | string;
    propHide?: (option: RdDefineProp) => boolean;
    cache?: Record<string, any>;
    databindOptions?: any;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    mode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType | RdDefinePropType[]>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    isBasicData: {
        type: import("vue").PropType<boolean>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
    };
    prop: {
        type: import("vue").PropType<RdDefineProp<RdDefinePropType>>;
    };
    typesIndex: {
        type: import("vue").PropType<number>;
    };
    valueType: {
        type: import("vue").PropType<string>;
    };
    inArray: {
        type: import("vue").PropType<boolean>;
    };
    inObject: {
        type: import("vue").PropType<boolean>;
    };
    objectKey: {
        type: import("vue").PropType<string>;
    };
    bindButtonText: {
        type: import("vue").PropType<string>;
    };
    getHasBindText: {
        type: import("vue").PropType<() => string>;
    };
    propHide: {
        type: import("vue").PropType<(option: RdDefineProp<RdDefinePropType>) => boolean>;
    };
    cache: {
        type: import("vue").PropType<Record<string, any>>;
    };
    databindOptions: {
        type: import("vue").PropType<any>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:value" | "openEditor")[], "change" | "update:value" | "openEditor", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<import("@elowcode/robotdev-design-types").RdDataArguments>;
    };
    mode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    types: {
        type: import("vue").PropType<RdDefinePropType | RdDefinePropType[]>;
    };
    theme: {
        type: import("vue").PropType<JsonFormTheme>;
    };
    childrenMode: {
        type: import("vue").PropType<JsonFormMode>;
    };
    isBasicData: {
        type: import("vue").PropType<boolean>;
    };
    autoFocus: {
        type: import("vue").PropType<boolean>;
    };
    prop: {
        type: import("vue").PropType<RdDefineProp<RdDefinePropType>>;
    };
    typesIndex: {
        type: import("vue").PropType<number>;
    };
    valueType: {
        type: import("vue").PropType<string>;
    };
    inArray: {
        type: import("vue").PropType<boolean>;
    };
    inObject: {
        type: import("vue").PropType<boolean>;
    };
    objectKey: {
        type: import("vue").PropType<string>;
    };
    bindButtonText: {
        type: import("vue").PropType<string>;
    };
    getHasBindText: {
        type: import("vue").PropType<() => string>;
    };
    propHide: {
        type: import("vue").PropType<(option: RdDefineProp<RdDefinePropType>) => boolean>;
    };
    cache: {
        type: import("vue").PropType<Record<string, any>>;
    };
    databindOptions: {
        type: import("vue").PropType<any>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onOpenEditor?: ((...args: any[]) => any) | undefined;
}, {}>;
export default _default;
//# sourceMappingURL=JsonFormDatabind.vue.d.ts.map