import { PropType } from 'vue';
import { ObjectTypeMapperProps, ObjectTypeProps } from './use/constants';
export declare const tuple: <T extends string[]>(...args: T) => T;
export declare enum ObjectType {
    TEXT = "text",
    RICHTEXT = "richText",
    PASSWORD = "password",
    EMAIL = "email",
    MOBILEPHONE = "mobilePhone",
    TELEPHONE = "telephone",
    FAX = "fax",
    OPTION = "option",
    URL = "url",
    FILE = "file",
    IMAGE = "image",
    VIDEO = "video",
    DATETIME = "datetime",
    NUMBER = "number",
    AMOUNT = "amount",
    WHETHER = "whether",
    MODEL = "model",
    MODULE = "module",
    ICON = "icon",
    SEQUENCE = "sequence"
}
export declare type ObjectTypeKey = keyof typeof ObjectType;
export declare type ObjectTypeVal = `${ObjectType}`;
export interface BaseDefineObjectProps {
    showKeys?: ObjectTypeVal[];
    hideKeys?: ObjectTypeVal[];
    defaultShowKeys?: ObjectTypeVal[];
    defaultHideKeys?: ObjectTypeVal[];
    multipleShowKeys?: ObjectTypeVal[];
    multipleHideKeys?: ObjectTypeVal[];
    requiredShowKeys?: ObjectTypeVal[];
    requiredHideKeys?: ObjectTypeVal[];
    objectTypes?: ObjectTypeProps[];
    objectTypeMapper?: ObjectTypeMapperProps;
}
export declare const baseDefineObjectProps: {
    showKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
    hideKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
    defaultShowKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
    defaultHideKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
    multipleShowKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
    multipleHideKeys: {
        type: PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
        default: never[];
    };
};
//# sourceMappingURL=props.d.ts.map