import { BaseDefineObjectProps } from '../../../../components/object-define/props';
import { TyperefContextProps } from '@elowcode/robotdev-component-business-shared';
import { ObjectTypeVal } from '../../shared/const';
import { IRdParamter } from './entity/paramter';
export interface ObjectDefineButtonProps extends BaseDefineObjectProps {
    customKey?: boolean;
    showTypeKeys?: ObjectTypeVal[];
    hideTypeKeys?: ObjectTypeVal[];
    hideDefault?: boolean;
    hideRequired?: boolean;
    allowClear?: boolean;
    title?: string;
    offset?: number[];
    placement?: string;
    value?: IRdParamter;
    optionAutoFillValue?: boolean;
    onlyType?: boolean;
    placeholder?: string;
    beforeUnmountChange: boolean;
    isMultiType?: boolean;
    crossPlatformDisableds?: string[];
    crossPlatformOptions?: any[];
    isCrossPlatform?: boolean;
    moduleTypeCrossPlatformDepth?: boolean[];
    depth?: number;
    typeref: TyperefContextProps;
}
export interface InternalValueProps {
    visible: boolean;
}
declare const _default: import("vue").DefineComponent<{
    value: {
        type: import("vue").PropType<IRdParamter>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
        default: string;
    };
    offset: {
        type: import("vue").PropType<number[]>;
        default: () => number[];
    };
    allowClear: {
        type: import("vue").PropType<boolean>;
    };
    showTypeKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    crossPlatformDisableds: {
        type: import("vue").PropType<string[]>;
    };
    placement: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    objectTypes: {
        type: import("vue").PropType<import("../../../object-define/use/constants").ObjectTypeProps[]>;
    };
    objectTypeMapper: {
        type: import("vue").PropType<import("../../../object-define/use/constants").ObjectTypeMapperProps>;
    };
    onlyType: {
        type: import("vue").PropType<boolean>;
    };
    beforeUnmountChange: {
        type: import("vue").PropType<boolean>;
        required: true;
        default: boolean;
    };
    defaultShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    defaultHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    multipleShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    multipleHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    requiredShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    requiredHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "remove" | "clear")[], "change" | "remove" | "clear", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: import("vue").PropType<IRdParamter>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    placeholder: {
        type: import("vue").PropType<string>;
        default: string;
    };
    offset: {
        type: import("vue").PropType<number[]>;
        default: () => number[];
    };
    allowClear: {
        type: import("vue").PropType<boolean>;
    };
    showTypeKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideTypeKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideDefault: {
        type: import("vue").PropType<boolean>;
    };
    hideRequired: {
        type: import("vue").PropType<boolean>;
    };
    customKey: {
        type: import("vue").PropType<boolean>;
    };
    optionAutoFillValue: {
        type: import("vue").PropType<boolean>;
    };
    isMultiType: {
        type: import("vue").PropType<boolean>;
    };
    crossPlatformOptions: {
        type: import("vue").PropType<any[]>;
    };
    isCrossPlatform: {
        type: import("vue").PropType<boolean>;
    };
    moduleTypeCrossPlatformDepth: {
        type: import("vue").PropType<boolean[]>;
    };
    depth: {
        type: import("vue").PropType<number>;
    };
    typeref: {
        type: import("vue").PropType<TyperefContextProps>;
        required: true;
    };
    crossPlatformDisableds: {
        type: import("vue").PropType<string[]>;
    };
    placement: {
        type: import("vue").PropType<string>;
        default: string;
    };
    showKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    hideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    objectTypes: {
        type: import("vue").PropType<import("../../../object-define/use/constants").ObjectTypeProps[]>;
    };
    objectTypeMapper: {
        type: import("vue").PropType<import("../../../object-define/use/constants").ObjectTypeMapperProps>;
    };
    onlyType: {
        type: import("vue").PropType<boolean>;
    };
    beforeUnmountChange: {
        type: import("vue").PropType<boolean>;
        required: true;
        default: boolean;
    };
    defaultShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    defaultHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    multipleShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    multipleHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    requiredShowKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
    requiredHideKeys: {
        type: import("vue").PropType<("number" | "option" | "video" | "image" | "text" | "url" | "email" | "file" | "password" | "icon" | "richText" | "mobilePhone" | "telephone" | "fax" | "datetime" | "amount" | "whether" | "module" | "sequence" | "model")[]>;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    onClear?: ((...args: any[]) => any) | undefined;
    onRemove?: ((...args: any[]) => any) | undefined;
}, {
    placeholder: string;
    offset: number[];
    placement: string;
    beforeUnmountChange: boolean;
}>;
export default _default;
//# sourceMappingURL=DefineParameterField.vue.d.ts.map